<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns="http://www.filemaker.com/fmpxmlresult" xmlns:bf="http://www.chapsoft.com/brushfire/summary" exclude-result-prefixes="bf">
    <xsl:output encoding="UTF-8" method="xml" version="1.0"/>
    <!-- IMPORT BRUSHIFRE OBJECTS Stylesheet written by Russell Kohn
		Chaparral Software & Consulting Services, Inc. 
		www.chapsoft.com  
		
		version 1.0
		June 11, 2004
	-->
    <!-- namespaces used in this stylesheet are:
	
		xsl = standard xslt namespace from w3
		bf = Brushfire grammar
		<none> = FileMaker Pro 6 grammar (FMPXMLRESULT)  
		   
            -->
    <!-- VARIABLES -->
    <!-- recCount : count of records in import file -->
    
    <xsl:variable name="recCount" select="0"/>
    
    
    <xsl:template match="/">
        <FMPXMLRESULT xmlns="http://www.filemaker.com/fmpxmlresult">

            <ERRORCODE>0</ERRORCODE>
            <PRODUCT BUILD="" NAME="" VERSION="" />
            <DATABASE DATEFORMAT="M/d/yyyy" LAYOUT="" NAME="" TIMEFORMAT="h:mm:ss a">
                <xsl:attribute name="RECORDS">
                    <xsl:value-of select="$recCount" />
                </xsl:attribute>
            </DATABASE>
            <METADATA>
				<FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="RefType" TYPE="TEXT" />
				<FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="FileID" TYPE="NUMBER" />
				<FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="FileName" TYPE="TEXT" />
				<FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="ObjectType" TYPE="TEXT" />
				<FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="ObjectName" TYPE="TEXT" />
				<FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="Object_FMID" TYPE="NUMBER" />
				<FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="Object_BFID" TYPE="NUMBER" />
				<FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="ErrorCode" TYPE="TEXT" />
				<FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="Error_Description" TYPE="TEXT" />
				<FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="search_URL" TYPE="TEXT" />
				<FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="searchTerm" TYPE="TEXT" />
				<FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="searchTermCount" TYPE="NUMBER" />
				<FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="search_ObjRefType" TYPE="TEXT" />
			</METADATA>
            

            <RESULTSET>
                <xsl:attribute name="FOUND">
                    <xsl:value-of select="$recCount"/>
                </xsl:attribute>
                
                <xsl:call-template name="import_Errors"/>
                <xsl:call-template name="import_nonRefObjects"/>
                <xsl:call-template name="import_SearchResults"/>

            </RESULTSET>
            
        </FMPXMLRESULT>
    </xsl:template>
    
     <xsl:template name="import_Errors">
        <xsl:for-each select="./bf:brushfire_summary/bf:file/bf:fatalerrors/bf:error">
            <ROW>
                <xsl:attribute name="MODID">0</xsl:attribute>
                <xsl:attribute name="RECORDID">0</xsl:attribute>
                
				<!-- RefType -->
				<COL><DATA>
					<xsl:value-of select="'Error'"/>
				</DATA></COL>
				
				<!-- File BF ID-->
				<COL><DATA>
					<xsl:value-of select="../../@bfid"/>
				</DATA></COL>
				
				<!-- FileName -->
				<COL><DATA>
					<xsl:value-of select="../../@name"/>
				</DATA></COL>
				
				<!-- ObjectType -->
				<COL><DATA>
					<xsl:value-of select="bf:type"/>
				</DATA></COL>

				<!-- Object Name (ObjectName) -->
				<COL><DATA>
					<xsl:value-of select="bf:name"/>
				</DATA></COL>
				
				<!-- Object FM ID (Object_FMID) -->
				<COL><DATA>
					<xsl:value-of select="bf:id"/>
				</DATA></COL>
				
				<!-- Object BF ID (Object_BFID) -->
				<COL><DATA>
					<xsl:value-of select="bf:bfid"/>
				</DATA></COL>
				
				<!-- Errorcode  -->
				<COL><DATA>
					<xsl:value-of select="bf:errorcode"/>
				</DATA></COL>
				
				<!-- Error Description -->
				<COL><DATA>
					<xsl:value-of select="bf:description"/>
				</DATA></COL>
				
				<!-- URL import (not used) -->
				<COL><DATA>
				</DATA></COL>
				
				<!-- searchTerm (not used) -->
				<COL><DATA></DATA></COL>
				
				<!-- searchTermCount -->
				<COL><DATA></DATA></COL>
				
				<!-- search_ObjRefType -->
				<COL><DATA></DATA></COL>				
								
            </ROW>
        </xsl:for-each>
    </xsl:template>
    
    
     <xsl:template name="import_nonRefObjects">
        <xsl:for-each select="./bf:brushfire_summary/bf:file/bf:nonrefobjects/bf:obj">
            <ROW>
                <xsl:attribute name="MODID">0</xsl:attribute>
                <xsl:attribute name="RECORDID">0</xsl:attribute>
                
				<!-- RefType -->
				<COL><DATA>
					<xsl:value-of select="'NonRef'"/>
				</DATA></COL>
				
				<!-- File BF ID -->
				<COL><DATA>
					<xsl:value-of select="../../@bfid"/>
				</DATA></COL>
				
				<!-- FileName -->
				<COL><DATA>
					<xsl:value-of select="../../@name"/>
				</DATA></COL>
				
				<!-- ObjectType -->
				<COL><DATA>
					<xsl:value-of select="bf:type"/>
				</DATA></COL>

				<!-- Object Name (ObjectName) -->
				<COL><DATA>
					<xsl:value-of select="bf:name"/>
				</DATA></COL>
				
				<!-- Object FM ID (Object_FMID) -->
				<COL><DATA>
					<xsl:value-of select="bf:id"/>
				</DATA></COL>
				
				<!-- Object BF ID (Object_BFID) -->
				<COL><DATA>
					<xsl:value-of select="bf:bfid"/>
				</DATA></COL>
				
				<!-- Errorcode  -->
				<COL><DATA></DATA></COL>
				
				<!-- Error Description -->
				<COL><DATA></DATA></COL>
				
				<!-- URL import (not used) -->
				<COL><DATA></DATA></COL>
				
				<!-- searchTerm (not used) -->
				<COL><DATA></DATA></COL>
				
				<!-- searchTermCount -->
				<COL><DATA></DATA></COL>
				
				<!-- search_ObjRefType -->
				<COL><DATA></DATA></COL>
				
            </ROW>
        </xsl:for-each>
    </xsl:template>
   
   
   
   <xsl:template name="import_SearchResults">
        <xsl:for-each select="./bf:brushfire_summary/bf:searchresults/bf:search/bf:file/bf:ref">
        	<ROW>
                <xsl:attribute name="MODID">0</xsl:attribute>
                <xsl:attribute name="RECORDID">0</xsl:attribute>
                
				<!-- RefType -->
				<COL><DATA>
					<xsl:value-of select="'Search'"/>
				</DATA></COL>
				
				<!-- File BF ID -->
				<COL><DATA>
					<xsl:value-of select="../@bfid"/>
				</DATA></COL>
				
				<!-- FileName -->
				<COL><DATA>
					<xsl:value-of select="../@name"/>
				</DATA></COL>
				
				<!-- ObjectType -->
				<COL><DATA>
					<xsl:value-of select="bf:type"/>
				</DATA></COL>

				<!-- Object Name (ObjectName) -->
				<COL><DATA>
					<xsl:value-of select="bf:name"/>
				</DATA></COL>
				
				<!-- Object FM ID  -->
				<COL><DATA>
					<xsl:value-of select="bf:id"/>
				</DATA></COL>
				
				<!-- Object BF ID -->
				<COL><DATA>
					<xsl:value-of select="bf:bfid"/>
				</DATA></COL>
				
				<!-- Errorcode  -->
				<COL><DATA></DATA></COL>
				
				<!-- Error Description -->
				<COL><DATA></DATA></COL>
				
				<!-- URL import  -->
				<COL><DATA>
					<xsl:value-of select="bf:url"/>
				</DATA></COL>
				
				<!-- searchTerm  -->
				<COL><DATA>
					<xsl:value-of select="../../bf:term"/>
				</DATA></COL>
				
				<!-- searchTermCount -->
				<COL><DATA>
					<xsl:value-of select="../../bf:count"/>
				</DATA></COL>
				
				<!-- search_ObjRefType -->
				<COL><DATA>
					<xsl:value-of select="bf:obj_reftype"/>
				</DATA></COL>
				
            </ROW>
        </xsl:for-each>
    </xsl:template>
    
</xsl:stylesheet>
